Subject: Re: bug#74894: 29.4; Emacs not responding when calling python-fix-imports
From: Eli Zaretskii <[email-masked]>
To: kobarity <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 07 Mar 2025 16:53:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 07 Mar 2025 23:37:39 +0900
> From: kobarity <[email-masked]>
> Cc: [email-masked],
> 	[email-masked]
> 
> Eli Zaretskii wrote:
> > 
> > > Date: Sun, 02 Mar 2025 17:44:44 +0900
> > > From: kobarity <[email-masked]>
> > > Cc: [email-masked],
> > > 	[email-masked]
> > > 
> > > Eli Zaretskii wrote:
> > > > 
> > > > > Date: Sun, 02 Mar 2025 16:04:17 +0900
> > > > > From: kobarity <[email-masked]>
> > > > > Cc: Eli Zaretskii <[email-masked]>,
> > > > > 	[email-masked]
> > > > > 
> > > > > Editing Python files directly under the home directory is one of the
> > > > > standard use cases, but I think it is outside the use case envisioned
> > > > > by the python.el's import management.
> > > > 
> > > > Maybe we should document this limitation somewhere?
> > > 
> > > I agree.  How about the attached patch?
> > 
> > LGTM, thanks.  Should I install it?
> 
> Yes, please, if it looks good.

Thanks, installed on the emacs-30 branch, and closing the bug.